include ../fieldErrors.pug

mixin dadosBasicosPessoaJuridica(pessoaJuridica, editar, cadastroPublico)

	div.form-group

		label(for='razaoSocial') Razão social: *
		div
			input.form-control(type='text', name='razaoSocial', ng-model= pessoaJuridica+'.razaoSocial', required, maxlength="200", ng-disabled=cadastroPublico)
			+fieldErrors(field="razaoSocial", errors=["required"])

	div.form-group
		label(for='nomeFantasia') Nome fantasia:
		input.form-control(type='text', name='nomeFantasia', ng-model=pessoaJuridica+'.nomeFantasia', maxlength="200", ng-disabled=cadastroPublico)

	div.row

		div.col-sm-4.col-md-4

			div.form-group

				label(for='cnpj') CNPJ: *
				div
					input.form-control(type='text', name='cnpj', ng-model=pessoaJuridica+'.cnpj', required, ui-br-cnpj-mask, ng-disabled=editar + ' || ' + cadastroPublico)
					+fieldErrors(field="cnpj", errors=["required", "cnpj"])

		div.col-sm-4.col-md-4

			div.form-group

				label(for="dataConstituicao") Data de constituição: *
				.input-group
					input.form-control(type="text", name="dataConstituicao", uib-datepicker-popup="dd/MM/yyyy", ng-model=pessoaJuridica+'.dataConstituicao', datepicker-options="datepickerOptions", is-open="datepicker.opened", ng-required="true", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", max-date="datepickerOptions.maxDate", ng-disabled=cadastroPublico)
					span.input-group-btn
						button.btn.btn-group.btn-raised.btn-raised-shadow(type="button", ng-click="datepicker.opened=true", ng-disabled=cadastroPublico)
							i.material-icons today

				+fieldErrors(field="dataConstituicao", errors=["required", "date", "maxDate"])

		div.col-sm-4.col-md-4

			div.form-group

				label(for='inscricaoEstadual') Inscrição estadual:
				div
					input.form-control(type='text', name='inscricaoEstadual', ng-model=pessoaJuridica+'.inscricaoEstadual', ui-mask="9?9?9?9?9?9?9?9?9?9?9?9?9?", ui-mask-placeholder-char="space", maxlength='13', ng-disabled=cadastroPublico)

